{"title":"Create attachments (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_attachment_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_attachment_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_attachment_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Creates a attachment object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Create attachments (v1.0)","slug":"create-attachments-v10","at":0,"chars":2044},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":70,"chars":212},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":282,"chars":109},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":391,"chars":97},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":488,"chars":132},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":620,"chars":1424}],"text":"# Create attachments (v1.0)\nCreates a attachment in Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/attachments\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body (v1.0)\nIn the request body, supply a JSON representation of a attachment object.\n## Response (v1.0)\nIf successful, this method returns ```201 Created``` response code and a attachment object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v1.0/companies({id})/attachments\nContent-type: application/json\n```json\n{\n    \"parentId\" : \"{journalLineId}\",\n    \"fileName\": \"myPDF.pdf\"\n}\n```\nParentId is the Id of the entity, for which an attachment is being created.\nResponse\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n    \"parentId\": \"8bdf7f18-ac81-4cf6-a018-7dd2313d827f\",\n    \"id\": \"7786c70a-31ee-43a3-9746-2d720496469e\",\n    \"fileName\": \"myPDF.pdf\",\n    \"content@odata.mediaEditLink\": \"https://api.businesscentral.dynamics-tie.com/v1.0/bc66bcbc-5b7f-4043-b352-f4ab70c81d11/api/v1.0/companies(d888c94e-0bf9-42e5-96eb-060739125558)/attachments(parentId=8bdf7f18-ac81-4cf6-a018-7dd2313d827f,id=7786c70a-31ee-43a3-9746-2d720496469e)/content\",\n    \"content@odata.mediaReadLink\": \"https://api.businesscentral.dynamics-tie.com/v1.0/bc66bcbc-5b7f-4043-b352-f4ab70c81d11/api/v1.0/companies(d888c94e-0bf9-42e5-96eb-060739125558)/attachments(parentId=8bdf7f18-ac81-4cf6-a018-7dd2313d827f,id=7786c70a-31ee-43a3-9746-2d720496469e)/content\",\n    \"lastModifiedDateTime\": \"2019-03-25T13:15:41Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_attachment\ndynamics_attachment_get\ndynamics_attachment_create\nUpload Attachment<dynamics_attachment_patch>\ndynamics_attachment_delete"}